## org.eclipse.emf.common.ui.celleditor
Class ExtendedComboBoxCellEditor.FilteringAdapter

    java.lang.Object
      org.eclipse.emf.common.ui.celleditor.ExtendedComboBoxCellEditor.FilteringAdapter

All Implemented Interfaces:
  java.util.EventListener, FocusListener, KeyListener, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  ExtendedComboBoxCellEditor

    public class ExtendedComboBoxCellEditor.FilteringAdapter

extends java.lang.Object
implements KeyListener, FocusListener

Constructor Summary
`ExtendedComboBoxCellEditor.FilteringAdapter(Control control)`

Method Summary
`void` `focusGained(FocusEvent e)`
`void` `focusLost(FocusEvent e)`
`void` `keyPressed(KeyEvent e)`
`void` `keyReleased(KeyEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedComboBoxCellEditor.FilteringAdapter

    public ExtendedComboBoxCellEditor.FilteringAdapter(Control control)

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Specified by:
    `keyReleased` in interface `KeyListener`

### focusGained

    public void focusGained(FocusEvent e)

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Specified by:
    `focusLost` in interface `FocusListener`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.